use std::{fs::File, io::BufReader};

use endcap_sl_register_interface_generator::types;
use quick_xml::de::from_reader;

fn main() -> Result<(), anyhow::Error> {
    println!("Hello, world!");
    let reader = BufReader::new(File::open("./csr.xml").unwrap());
    let csr_def: types::Module = from_reader(reader)?;
    println!("Parsed: {:?}", csr_def);

    Ok(())
}
